## org.codehaus.groovy.ast.expr
Class DeclarationExpression

Represents a local variable name declaration, an expression like "def foo" or with type "String foo".

author:
  Jochen Theodorou

version:
  $Revision: 6778 $

Constructor Summary
`DeclarationExpression(VariableExpression left, Token operation, Expression right)`

Method Summary
`VariableExpression` | `getVariableExpression()`
`void` | `setLeftExpression(Expression leftExpression)`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### DeclarationExpression

    public DeclarationExpression(VariableExpression left, Token operation, Expression right)

Method Detail

### getVariableExpression

    public VariableExpression getVariableExpression()

### setLeftExpression

    public void setLeftExpression(Expression leftExpression)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)